<?php
  switch($Etape)
  {
    case 0:
      echo "  <form METHOD='POST'>\n";
      echo "   <input type='hidden' name='Type' value=$Type>\n";
      echo "   <input type='hidden' name='Sous_Type' value=$Sous_Type>\n";
      echo "   <input type='hidden' name='Etape' value='1'>\n";
      echo "<TABLE border=1>\n";
      echo "   <TR><TH>Nom groupe</TH><TD><input type='texte' name='Nom'></TD></TR>\n";
      echo "   <TR><TH>Admin</TH><TD><input type='checkbox' name='Admin' value='1'></TD></TR>\n";
      echo "   <TR><TH>Encaissement banque</TH><TD><input type='checkbox' name='Banque' value='1'></TD></TR>\n";
      $resultat = GroupeFonction::getAll();
      foreach($resultat as $ligne)
      {
        echo "   <TR><TH>".$ligne['Description']."</TH><TD>\n";
        $resultat2 = Fonction::getByNoGroup($ligne['NoGroupe']);
        foreach($resultat2 as $ligne2)
        {
          echo "<input type='checkbox' name='fonctionG".$ligne2['NoGroupe']."F".$ligne2['NoFonction']."' value='1'>".$ligne2['Description']."<BR />\n";
        }
        echo "</TD></TR>\n";
      }
      echo "   <TR><TH>Edition articles</TH><TD>";
      $resultat = Division::getDivisionByNoFormulaireAndNoTable(1,1);
      foreach($resultat as $ligne)
      {
        echo "<input type='radio' name='divisionF1' value='".$ligne['NoVisu']."'><input type='checkbox' name='divisionF1V".$ligne['NoVisu']."' value='1'>".$ligne["NomVisu"]."<BR />";
      }
      echo "</TD></TR>\n";
      echo "   <TR><TH>Recherche articles</TH><TD>";
      $resultat = DivisionRecherche::getDivisionRechercheByNoFormulaireAndNoTable(1,1);
      foreach($resultat as $ligne)
      {
        echo "<input type='radio' name='divisionrechercheF1' value='".$ligne['NoVisu']."'><input type='checkbox' name='divisionrechercheF1V".$ligne['NoVisu']."' value='1'>".$ligne["NomVisu"]."<BR />";
      }
      echo "</TD></TR>\n";
      echo "   <TR><TH>Edition vehicules</TH><TD>";
      $resultat = Division::getDivisionByNoFormulaireAndNoTable(2,2);
      foreach($resultat as $ligne)
      {
        echo "<input type='radio' name='divisionF2' value='".$ligne['NoVisu']."'><input type='checkbox' name='divisionF2V".$ligne['NoVisu']."' value='1'>".$ligne["NomVisu"]."<BR />";
      }
      echo "</TD></TR>\n";
      echo "   <TR><TH>Recherche vehicules</TH><TD>";
      $resultat = DivisionRecherche::getDivisionRechercheByNoFormulaireAndNoTable(2,2);
      foreach($resultat as $ligne)
      {
        echo "<input type='radio' name='divisionrechercheF2' value='".$ligne['NoVisu']."'><input type='checkbox' name='divisionrechercheF2V".$ligne['NoVisu']."' value='1'>".$ligne["NomVisu"]."<BR />";
      }
      echo "</TD></TR>\n";
      echo "   <TR><TH>Edition clients</TH><TD>";
      $resultat = Division::getDivisionByNoFormulaireAndNoTable(3,3);
      foreach($resultat as $ligne)
      {
        echo "<input type='radio' name='divisionF3' value='".$ligne['NoVisu']."'><input type='checkbox' name='divisionF3V".$ligne['NoVisu']."' value='1'>".$ligne["NomVisu"]."<BR />";
      }
      echo "</TD></TR>\n";
      echo "   <TR><TH>Recherche clients</TH><TD>";
      $resultat = DivisionRecherche::getDivisionRechercheByNoFormulaireAndNoTable(3,3);
      foreach($resultat as $ligne)
      {
        echo "<input type='radio' name='divisionrechercheF3' value='".$ligne['NoVisu']."'><input type='checkbox' name='divisionrechercheF3V".$ligne['NoVisu']."' value='1'>".$ligne["NomVisu"]."<BR />";
      }
      echo "</TD></TR>\n";
      echo "   <TR><TH>Recherche commandes</TH><TD>";
      $resultat = DivisionRecherche::getDivisionRechercheByNoFormulaireAndNoTable(4,4);
      foreach($resultat as $ligne)
      {
        echo "<input type='radio' name='divisionrechercheF4' value='".$ligne['NoVisu']."'><input type='checkbox' name='divisionrechercheF4V".$ligne['NoVisu']."' value='1'>".$ligne["NomVisu"]."<BR />";
      }
      echo "</TD></TR>\n";
      echo "   <TR><TH>Recherche cash</TH><TD>";
      $resultat = DivisionRecherche::getDivisionRechercheByNoFormulaireAndNoTable(6,6);
      foreach($resultat as $ligne)
      {
        echo "<input type='radio' name='divisionrechercheF6' value='".$ligne['NoVisu']."'><input type='checkbox' name='divisionrechercheF6V".$ligne['NoVisu']."' value='1'>".$ligne["NomVisu"]."<BR />";
      }
      echo "</TD></TR>\n";
      echo "   <TR><TH>Recherche atelier</TH><TD>";
      $resultat = DivisionRecherche::getDivisionRechercheByNoFormulaireAndNoTable(7,7);
      foreach($resultat as $ligne)
      {
        echo "<input type='radio' name='divisionrechercheF7' value='".$ligne['NoVisu']."'><input type='checkbox' name='divisionrechercheF7V".$ligne['NoVisu']."' value='1'>".$ligne["NomVisu"]."<BR />";
      }
      echo "</TD></TR>\n";
      echo "</TABLE>\n";
      echo "   <button type='submit'>Créer</button>\n";
      echo "  </form>\n";
    break;
    case 1:
      $ici_admin=0;
      $ici_banque=0;
      if (isset($Admin))
        if ($Admin==1)
          $ici_admin=1;
      if (isset($Banque))
        if ($Banque==1)
          $ici_banque=1;
      $requette = "INSERT INTO groupeusers (Description, Admin, Banque) VALUES ('$Nom' , '$ici_admin', '$ici_banque')";
      Connection::executeRawQuery($requette);
      $NoGroupeUsers = Connection::getConnection()->lastInsertId();
      $resultat = GroupeFonction::getAll();
      foreach($resultat as $ligne)
      {
        $resultat2 = Fonction::getByNoGroup($ligne['NoGroupe']);
        foreach($resultat2 as $ligne2)
        {
          if (isset(${"fonctionG".$ligne2['NoGroupe']."F".$ligne2['NoFonction']}))
          {
            if (${"fonctionG".$ligne2['NoGroupe']."F".$ligne2['NoFonction']}==1)
            {
              $requette3 = "INSERT INTO groupeusersfonction (NoGroupeUsers, NoGroupe, NoFonction) VALUES ('$NoGroupeUsers', '".$ligne2['NoGroupe']."', '".$ligne2['NoFonction']."')";
              Connection::executeRawQuery($requette3);
            }
          }
        }
      }
    break;
  }
  
?>
